ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

What Java versions are supported by Applications Manager?

book

Article ID: 88352

calendar_today

Updated On:

Products

CA Automic Applications Manager (AM)

Issue/Introduction

Applications Manager JAVA Compatibility
 
The below tables are meant to supplement the information found on the Automic Compatibility Checker located online http://docs.automic.com/compatibility/ and are specific to Oracle Java versions.  
 

 

Environment

Release:


Component:

Resolution

Linux/Unix - Compatible with 32bit and 64bit Java
Windows - Compatible with 32bit Java only. Compatible with 64bit Java only starting with Applications Manager version 9.2.2

Applications Manager v9.1  

Java Versions

9.1.0

9.1.1

9.1.3

6.0

Yes

Yes

Yes

7.0

Yes

Yes

Yes

8.0

Yes

Yes

Yes

 

Applications Manager v9.2 

Java Versions

9.2.0

9.2.1

9.2.2

9.2.2hf1

6.0

Yes

Yes

Yes

No

7.0

Yes

Yes

Yes

No

8.0

Yes

Yes

Yes

Yes

 

Applications Manager v9.3 

Java Versions

9.3.0

6.0

No

7.0

No

8.0

Yes

11.0

Yes


For Java 11, Applications Manager requires a minimum of Java 11.0.2. Please check with Oracle or OS vendor for exact OS platform version compatibility. 

OpenJDK 11.0.2 - compatible with Windows and Linux distributions (RHEL & OEL). 

Oracle JDK 11.0.2 - compatible with Windows, Linux, and Solaris distributions. 


Results may differ depending on Java version differences between what is installed on the Master, Agents and on the Clients.  Keeping Java versions close or the same is considered a best practice.

Should you encounter issues with versions of Java provided by other vendors (such as IBM), contact customer service.